"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const command_1 = require("@oclif/command");
const cli_ux_1 = require("cli-ux");
const utils_1 = require("../../helpers/utils");
class ShowCommand extends command_1.Command {
    async run() {
        const { args } = this.parse(ShowCommand);
        const { abi } = args;
        const abiObj = utils_1.loadABI(abi);
        if (abiObj) {
            cli_ux_1.cli.styledJSON(abiObj);
        }
        else {
            this.error(`ABI for ${abi} not found!`);
        }
    }
}
exports.default = ShowCommand;
ShowCommand.description = 'Displays a known ABI';
ShowCommand.flags = {
    help: command_1.flags.help({ char: 'h' }),
};
ShowCommand.args = [
    {
        name: 'abi',
        required: true,
        description: 'The contract name.',
    },
];
ShowCommand.examples = ['eth abi:show ERC20', 'eth abi:show ERC721'];
